from loguru import logger

def process_message(box_name, topic_key, payload, context):
    try:
        logger.info(f"[{box_name}] Processing message for '{topic_key}': {payload}")

        # Example processing: Implement your specific logic here
        # For example, perform calculations or store data.
        result = f"Processed by {box_name} for '{topic_key}': {payload}"

        publish_topic = f"{context['publish']}/{box_name}"
        context['client'].publish(publish_topic, result)
        logger.info(f"[{box_name}] Result published on '{publish_topic}': {result}")
    except Exception as e:
        logger.error(f"[{box_name}] Error processing '{topic_key}': {e}") 
